<?php
/*
	Author: Kvasnikov Roman (RoN).
	E-mail: romankw@mail.ru
	HomePage: http://ron.net.ru
*/
require_once "maincore.php";
require_once "subheader.php";
require_once "side_left.php";

dbquery("DROP TABLE IF EXISTS ".$db_prefix."meeting");
dbquery("CREATE TABLE ".$db_prefix."meeting (
`id` int(11) unsigned NOT NULL auto_increment,
`login` varchar(255) NOT NULL default '',
`name` varchar(255) NOT NULL default '',
`surname` varchar(255) NOT NULL default '',
`sex` int(11) unsigned NOT NULL default '0',
`birth` date NOT NULL default '0000-00-00',
`email` varchar(255) NOT NULL default '',
`city` int(11) unsigned NOT NULL default '0',
`about` text NOT NULL,
`lookfor` varchar(255) NOT NULL default '',
`age_1` int(11) unsigned NOT NULL default '0',
`age_2` int(11) unsigned NOT NULL default '0',
`target_1` varchar(255) NOT NULL default '',
`target_2` text NOT NULL,
`waitingfor` text NOT NULL,
`iam` int(11) unsigned NOT NULL default '0',
`marital` int(11) unsigned NOT NULL default '0',
`sponsor` int(11) unsigned NOT NULL default '0',
`children` int(11) unsigned NOT NULL default '0',
`stature` int(11) unsigned NOT NULL default '0',
`weight` int(11) unsigned NOT NULL default '0',
`build` int(11) unsigned NOT NULL default '0',
`onbody` varchar(255) NOT NULL default '',
`hairshead` int(11) unsigned NOT NULL default '0',
`hairsbody` varchar(255) NOT NULL default '',
`profession` varchar(255) NOT NULL default '',
`routine` int(11) unsigned NOT NULL default '0',
`languages` varchar(255) NOT NULL default '',
`circumstance` int(11) unsigned NOT NULL default '0',
`home` int(11) unsigned NOT NULL default '0',
`lifepriority_1` varchar(255) NOT NULL default '',
`lifepriority_2` text NOT NULL,
`freeday_1` varchar(255) NOT NULL default '',
`freeday_2` text NOT NULL,
`interests_1` varchar(255) NOT NULL default '',
`interests_2` text NOT NULL,
`sport_1` varchar(255) NOT NULL default '',
`sport_2` text NOT NULL,
`music_1` varchar(255) NOT NULL default '',
`music_2` text NOT NULL,
`smoke` int(11) unsigned NOT NULL default '0',
`drink` int(11) unsigned NOT NULL default '0',
`drugs` int(11) unsigned NOT NULL default '0',
`orientation` int(11) unsigned NOT NULL default '0',
`sexgetero` text NOT NULL,
`sexgomo` text NOT NULL,
`sexoften` text NOT NULL,
`sexrole` text NOT NULL,
`sexpenis` int(11) unsigned NOT NULL default '0',
`sexexcitation_1` varchar(255) NOT NULL default '',
`sexexcitation_2` text NOT NULL,
`sexpriority_descr` text NOT NULL,
`votes` int(11) unsigned NOT NULL default '0',
`rate` int(11) unsigned NOT NULL default '0',
`is_photo` int(11) unsigned NOT NULL default '0',
`status` int(11) unsigned NOT NULL default '0',
`admin_comments` text NOT NULL,
`counter` int(11) unsigned NOT NULL default '0',
PRIMARY KEY(`id`)
) TYPE=MyISAM;");

dbquery("DROP TABLE IF EXISTS ".$db_prefix."meeting_bookmarks");
dbquery("CREATE TABLE ".$db_prefix."meeting_bookmarks (
`id` int(11) unsigned NOT NULL auto_increment,
`user_id` int(11) unsigned NOT NULL default '0',
`bookmark_id` int(11) unsigned NOT NULL default '0',
PRIMARY KEY(`id`)
) TYPE=MyISAM;");

dbquery("DROP TABLE IF EXISTS ".$db_prefix."meeting_photos");
dbquery("CREATE TABLE ".$db_prefix."meeting_photos (
`id` int(11) unsigned NOT NULL default '0',
`user_id` int(11) unsigned NOT NULL default '0',
`name` varchar(255) NOT NULL default '',
`order` int(11) unsigned NOT NULL default '0',
`counter` int(11) unsigned NOT NULL default '0',
PRIMARY KEY(`id`)
) TYPE=MyISAM;");

dbquery("DROP TABLE IF EXISTS ".$db_prefix."meeting_poolcheck");
dbquery("CREATE TABLE ".$db_prefix."meeting_poolcheck (
`id_vote_user` int(11) unsigned NOT NULL default '0',
`id_user` int(11) unsigned NOT NULL default '0',
`time` int(11) unsigned NOT NULL default '0'
) TYPE=MyISAM;");

dbquery("INSERT INTO ".$db_prefix."admin VALUES ('', 'ME', 'meeting.gif', 'Susipainimo valdymas', 'meeting.php', 1)");
dbquery("UPDATE ".$db_prefix."users SET `user_rights`=CONCAT(`user_rights`, '.ME') WHERE `user_id`='1';");
dbquery("INSERT INTO ".$db_prefix."panels VALUES ('', 'Mano paintis', 'meeting_panel', '', '3', 4, 'file', 0, 1)");

echo "<center>Pini MODAS sekmigai diegtas :)</center>";

require_once "side_right.php";
require_once "footer.php";
?>